const { parsePhoneNumberFromString } = require('libphonenumber-js');

// Função de validação de número de celular usando libphonenumber-js
const validarNumeroCelularLib = (numero) => {
  const telefone = parsePhoneNumberFromString(numero, 'BR');
  return telefone && telefone.isValid();
};

const validarNumeroCelularRegex = (numero) => {
    const regex = /^\+55\s?\(?\d{2}\)?\s?\d{4,5}-?\d{4}$/;
    return regex.test(numero);
  };

// Exportando a função
module.exports = {
  validarNumeroCelularLib,
  validarNumeroCelularRegex
};